/*
 *	Copyright (c) 2000 - 2004, University of West Bohemia,
 *	                           Faculty of Applied Sciences,
 *	                           Department of Computer Science and Engineering,
 *	                           DSS Group.
 *	                           Pilsen, Czech Republic.
 *
 *	Please read the licence agreement carefully before using any part of this software.
 */
package cz.zcu.fav.kiv.jsim.gui;

import java.util.*;

/**
 *	JSimChange instances can register listeners to which information about a change in the simulation is sent.
 *
 *	@author		Pavel DOMECK
 *
 *	@version	J-Sim version 0.3.0
 *
 *	@since		J-Sim version 0.2.0
 */
public class JSimChange extends Observable
{
	/**
	 *	Sets the change flag on and notifies all registered listeners to display this change in the GUI.
	 */
	public void changed()
	{
		setChanged();
		notifyObservers();
	} // changed

} // class JSimChange

