/*
 *  A queue having its own server which takes transactions out from the queue.
 *
 */

import cz.zcu.fav.kiv.jsim.*;
import cz.zcu.fav.kiv.jsim.unsecure.*;

public class QueueWithServer extends UnsecureHead {
    private JSimProcess         server;
    
    public QueueWithServer(String name, UnsecureSimulation sim, JSimProcess s) throws JSimInvalidParametersException,JSimTooManyProcessesException, JSimTooManyHeadsException {
        super(name, sim);
        server = s;
    } // constructor
    
    public JSimProcess getServer() {
        return server;
    } // getServer
    
    public void setServer(JSimProcess s) {
        server = s;
    } // setServer
} // class QueueWithServer

