/*
 *	Copyright (c) 2000 - 2004, University of West Bohemia,
 *	                           Faculty of Applied Sciences,
 *	                           Department of Computer Science and Engineering,
 *	                           DSS Group.
 *	                           Pilsen, Czech Republic.
 *
 *	Please read the licence agreement carefully before using any part of this software.
 */
package cz.zcu.fav.kiv.jsim;

/**
 *	The JSimKernelPanicException is thrown out when a serious error in J-Sim kernel occures. It should never
 *	be caught in order for the program to terminate and inform the user.
 *
 *	@author		<a href="http://home.zcu.cz/~jkacer">Jarda KAER</a>
 *
 *	@version	J-Sim version 0.3.0
 *
 *	@since		J-Sim version 0.0.1
 */
public class JSimKernelPanicException extends RuntimeException
{
	/**
	 *	Creates a new JSimKernelPanicException.
	 */
	public JSimKernelPanicException()
	{
		super("An unexpected error occured inside J-Sim. J-Sim kernel in panic.\nPlease report to: `jkacer@kiv.zcu.cz' and `jsim-support@mail.kiv.zcu.cz'.\nThank you.");
	} // constructor

} // class JSimKernelPanicException

